include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### blinken (executable)

tde_add_executable( blinken AUTOMOC

  SOURCES
        main.cpp
        blinken.cpp
        artsplayer.cpp
        blinkengame.cpp
        number.cpp
        highscoredialog.cpp
        counter.cpp
        fontutils.cpp
        fontchecker.cpp
        button.cpp
        settings.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${ARTSKDE_LIBRARIES}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( blinken.desktop )

install(
    FILES blinken.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
